Subject: Re: bug#56393: Actually fix the long lines display bug

From: Gregory Heytings <[email-masked]>
Date: Wed, 06 Jul 2022 14:05:55 +0000

>> I don't see that.  On my seven year old laptop, Emacs remains 
>> responsive, and commands are executed instantaneously.  Did you try M-x 
>> find-file-literally?  If you don't see the slowdown with M-x 
>> find-file-literally, it's a slowdown due to the major mode (in this 
>> case nXML).
>
> I see the same if I visit literally, just after leaning on C-n longer. 
> It starts happening around 15% into the file.
>

I can't reproduce that.  Is that with emacs -Q?  What computer do you use? 
I see the same profile, but Emacs remains responsive.

>
> And I don't think I understand what the major mode has to do with this. 
> How do you think a major mode can affect C-n when font-lock is turned 
> off?
>

nXML adds rng-maybe-echo-error-at-point to post-command-hook.